function arrayContainsValue(arr, val)
    for index, value in ipairs(arr) do
        if value == val then
            return true;
        end
    end

    return false;
end

function tableSize(T)
    local count = 0;
    for _ in pairs(T) do count = count + 1 end
    return count;
end

function format_thousand(v)
    local s = string.format("%d", math.floor(v))
    local pos = string.len(s) % 3
    if pos == 0 then pos = 3 end
    return string.sub(s, 1, pos)
            .. string.gsub(string.sub(s, pos+1), "(...)", ",%1")
            .. string.sub(string.format("%.0f", v - math.floor(v)), 2)
end

function safeSumOfTwoNums(...)
    local num1, num2 = ...;

    if num2 then
        return num1 + num2;
    else
        return num1;
    end
end